# -*- coding: utf-8 -*-
import json
import base64
import sys
import os
import requests

def handler(event, context):
    text = json.dumps(event["cts"])
    ctsmsg = json.loads(text)
    
    #Resource operator IP
    source_ip = ctsmsg["source_ip"]
    #trace_name
    action = ctsmsg["trace_name"]
    
    SMN_Topic = context.getUserData('SMN_Topic')
    regionName = context.getUserData('RegionName')
    ip = context.getUserData('IP')
    projectId = context.getProjectID()
    
    if (action not in ("login" or "logout")):
    	return "action is fail"
    
    if ip.find(source_ip) < 0 :
        return "reasonable " + action
    
    logInfo = "  IP:"+source_ip + ",  Action:"+action

    body = {"message" :"Illegal operation["+logInfo+"]", "subject":"CTSTrigger"}
    headers = {'X-Auth-Token': context.getToken(),  "accept": "application/json"}
    url= "https://smn."+regionName+".myhuaweicloud.com/v2/"+projectId+"/notifications/topics/urn:smn:"+regionName+":"+projectId+":"+SMN_Topic+"/publish"

    response = requests.post(url,headers=headers,data=json.dumps(body))
    if response.status_code != 200:
        print (response.status_code)
        return "send alarm message failed."


    return 'send eamil success'